%define oname	libxml++

%define major 	2
%define api_version 2.6
%define libname %mklibname xml++ %{api_version} %major
%define libnamedev %mklibname -d xml++ %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name: 		libxml++%{api_version}
Summary: 	C++ interface for working with XML files
Version:	2.40.1
Release: 	%mkrel 8
Source:		https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
URL:		https://libxmlplusplus.sourceforge.net/
License:	LGPLv2+
Group:		System/Libraries
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.4.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.1
BuildRequires:	doxygen

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries

%description	-n %{libname}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libnamedev}
Summary:	Headers for developing programs that will use %oname
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d xml++ 2.6 2

%description	-n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use libraries from %oname.

%prep
%setup -qn %{oname}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libxml++-%{api_version}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc AUTHORS ChangeLog NEWS README
%doc %_datadir/doc/%oname-%{api_version}/reference
%_datadir/devhelp/books/%oname-%{api_version}/%oname-%{api_version}.devhelp2
%{_includedir}/*
%dir %_libdir/libxml++-%{api_version}
%_libdir/libxml++-%{api_version}/include/libxml++config.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Sun Mar 16 2025 wally <wally> 2.40.1-8.mga10
+ Revision: 2164927
- rebuild for libxml2 2.13.6

* Sat Mar 19 2022 umeabot <umeabot> 2.40.1-7.mga9
+ Revision: 1799755
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 ovitters <ovitters> 2.40.1-6.mga8
+ Revision: 1570825
- rebuild for to test removal of deprecated macros

* Thu Feb 13 2020 umeabot <umeabot> 2.40.1-5.mga8
+ Revision: 1514666
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.40.1-4.mga7
+ Revision: 1299260
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Sun Nov 29 2015 wally <wally> 2.40.1-2.mga6
+ Revision: 907022
- rename source pkg as libxml++2.6

* Wed Oct 28 2015 ovitters <ovitters> 2.40.1-1.mga6
+ Revision: 896048
- new version 2.40.1

* Thu Oct 08 2015 ovitters <ovitters> 2.40.0-1.mga6
+ Revision: 887916
- new version 2.40.0

* Sat Sep 05 2015 ovitters <ovitters> 2.39.2-1.mga6
+ Revision: 873089
- new version 2.39.2

* Tue Aug 25 2015 cjw <cjw> 2.39.1-2.mga6
+ Revision: 869377
- rebuild with gcc 5

* Tue Aug 11 2015 ovitters <ovitters> 2.39.1-1.mga6
+ Revision: 862471
- new version 2.39.1

* Mon Jun 22 2015 ovitters <ovitters> 2.38.1-1.mga6
+ Revision: 839843
- new version 2.38.1

* Wed Oct 15 2014 umeabot <umeabot> 2.36.0-5.mga5
+ Revision: 744014
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.36.0-4.mga5
+ Revision: 681888
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.36.0-3.mga4
+ Revision: 507488
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.36.0-2.mga3
+ Revision: 358620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 fwang <fwang> 2.36.0-1.mga3
+ Revision: 314305
- new version 2.36.0

* Mon Oct 08 2012 ovitters <ovitters> 2.35.4-1.mga3
+ Revision: 303664
- new version 2.35.4

* Thu Jun 21 2012 ovitters <ovitters> 2.35.3-1.mga3
+ Revision: 262441
- new version 2.35.3

* Thu Mar 22 2012 ovitters <ovitters> 2.35.2-1.mga3
+ Revision: 225685
- new version 2.35.2

* Thu Feb 16 2012 fwang <fwang> 2.35.1-1.mga2
+ Revision: 209716
- new version 2.35.1

* Tue Sep 06 2011 wally <wally> 2.34.2-1.mga2
+ Revision: 139711
- new version 2.34.2
- use xz source
+ fwang <fwang>
- do not ship .la files

* Tue Apr 19 2011 tv <tv> 2.34.1-1.mga1
+ Revision: 88371
- new release
- new release

* Fri Apr 01 2011 ahmad <ahmad> 2.33.2-1.mga1
+ Revision: 79429
- update to 2.33.2
- update the Source url
+ dmorgan <dmorgan>
- Remove mdv macros
- imported package libxml++

